import * as cc from "cc";
const { ccclass, property } = cc._decorator;

@ccclass("LanguageTest")
export class LanguageTest extends cc.Component {
  @property(cc.Sprite)
  sp: cc.Sprite = null;

  protected onLoad(): void {
    cc.assetManager.loadBundle("zh");
    cc.assetManager.loadBundle("en");
  }

  clickzh() {
    cc.assetManager.getBundle("zh").load("arrow", cc.SpriteFrame, (err, sp) => {
      this.sp.spriteFrame = sp;
    });
  }

  clicken() {
    cc.assetManager.getBundle("en").load("arrow", cc.SpriteFrame, (err, sp) => {
      this.sp.spriteFrame = sp;
    });
  }
}
